/*
 * PicStamp
 * A simple plugable and breadboardable board
 *
 * Copyright (C) 2012  B.Stultiens
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#define USE_CONFIG_PRAGMA	1

#ifdef USE_CONFIG_PRAGMA
#pragma config FOSC=HSHP
#pragma config PLLCFG=ON
#pragma config PRICLKEN=OFF
#pragma config FCMEN=ON
#pragma config IESO=ON
#pragma config PWRTEN=OFF
#pragma config BOREN=OFF
#pragma config BORV=285
#pragma config WDTEN=OFF
#pragma config WDTPS=1024
#pragma config CCP2MX=PORTB3
#pragma config PBADEN=OFF
#pragma config CCP3MX=PORTE0
#pragma config HFOFST=OFF
#pragma config T3CMX=PORTB5
#pragma config P2BMX=PORTC0
#pragma config MCLRE=EXTMCLR
#pragma config STVREN=ON
#pragma config LVP=ON
#pragma config XINST=OFF
#pragma config DEBUG=OFF
#pragma config CP0=OFF
#pragma config CP1=OFF
#pragma config CP2=OFF
#pragma config CP3=OFF
#pragma config CPB=OFF
#pragma config CPD=OFF
#pragma config WRT0=OFF
#pragma config WRT1=OFF
#pragma config WRT2=OFF
#pragma config WRT3=OFF
#pragma config WRTC=OFF
#pragma config WRTB=OFF
#pragma config WRTD=OFF
#pragma config EBTR0=OFF
#pragma config EBTR1=OFF
#pragma config EBTR2=OFF
#pragma config EBTR3=OFF
#pragma config EBTRB=OFF

static void processor_config(void) __naked
{
}

#else
static void processor_config(void) __naked
{
	__asm
		CONFIG  FOSC=HSHP
		CONFIG	PLLCFG=ON
		CONFIG	PRICLKEN=OFF
		CONFIG  FCMEN=ON
		CONFIG  IESO=ON
		CONFIG	PWRTEN=OFF
		CONFIG	BOREN=OFF
		CONFIG	BORV=285
		CONFIG	WDTEN=OFF
		CONFIG  WDTPS=1024
		CONFIG	CCP2MX=PORTB3
		CONFIG	PBADEN=OFF
		CONFIG	CCP3MX=PORTE0
		CONFIG	HFOFST=OFF
		CONFIG	T3CMX=PORTB5
		CONFIG	P2BMX=PORTC0
		CONFIG	MCLRE=EXTMCLR
		CONFIG	STVREN=ON
		CONFIG	LVP=ON
		CONFIG  XINST=OFF
		CONFIG  DEBUG=OFF
		CONFIG	CP0=OFF
		CONFIG	CP1=OFF
		CONFIG	CP2=OFF
		CONFIG	CP3=OFF
		CONFIG	CPB=OFF
		CONFIG	CPD=OFF
		CONFIG	WRT0=OFF
		CONFIG	WRT1=OFF
		CONFIG	WRT2=OFF
		CONFIG	WRT3=OFF
		CONFIG	WRTC=OFF
		CONFIG	WRTB=OFF
		CONFIG	WRTD=OFF
		CONFIG	EBTR0=OFF
		CONFIG	EBTR1=OFF
		CONFIG	EBTR2=OFF
		CONFIG	EBTR3=OFF
		CONFIG	EBTRB=OFF
	__endasm;
}
#endif
